Package org.astrogrid.samp.hub

# Class HubServiceMode

java.lang.Object
org.astrogrid.samp.hub.HubServiceMode

public abstract class HubServiceMode extends Object
Specifies a particular hub implementation for use with `Hub`.

Since:
  20 Nov 2008
Author:
  Mark Taylor

## Field Summary

Fields
Modifier and Type
Field
Description
`static final HubServiceMode`
`CLIENT_GUI`
Hub mode with a GUI representation of connected clients.
`static HubServiceMode`
`FACADE`
Hub Mode which piggy-backs on an existing hub using the default client profile.
`static HubServiceMode`
`MESSAGE_GUI`
Hub mode with a GUI representation of clients and messages.
`static final HubServiceMode`
`NO_GUI`
Hub mode with no GUI representation of hub operations.

## Method Summary

Modifier and Type
Method
Description
`static HubServiceMode[]`
`getAvailableModes()`
Returns an array of the hub modes which can actually be used.
`static HubServiceMode`
`getModeFromName(String name)`
Returns one of the known modes which has a name as given.
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### NO_GUI

public static final HubServiceMode NO_GUI
Hub mode with no GUI representation of hub operations.

### CLIENT_GUI

public static final HubServiceMode CLIENT_GUI
Hub mode with a GUI representation of connected clients.

### MESSAGE_GUI

public static HubServiceMode MESSAGE_GUI
Hub mode with a GUI representation of clients and messages.

### FACADE

public static HubServiceMode FACADE
Hub Mode which piggy-backs on an existing hub using the default client profile.

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### getModeFromName

public static HubServiceMode getModeFromName(String name)
Returns one of the known modes which has a name as given.

Parameters:
  `name` - mode name (case-insensitive)
Returns:
  mode with given name, or null if none known

### getAvailableModes

public static HubServiceMode[] getAvailableModes()
Returns an array of the hub modes which can actually be used.

Returns:
  available mode list